XYMOND_HISTORY(8)

NAME
xymond_history - xymond worker module for logging status changes

SYNOPSIS
xymond_channel --channel=stachg xymond_history [options]

DESCRIPTION
xymond_history is a worker module for xymond, and as such it is normally run via the xymond_channel(8) program. It receives xymond status-change messages from the "stachg" channel via stdin, and uses these to update the history logfiles in a manner that is compatible with the standard Big Brother daemon, bbd.

OPTIONS

--histdir=DIRECTORY
    The directory for the history files. If not specified, the directory given by the XYMONHISTDIR environment is used.

--histlogdir=DIRECTORY
    The directory for the historical status-logs. If not specified, the directory given by the XYMONHISTLOGS environment is used.

--minimum-free=N
    Sets the minimum percentage of free filesystem space on the $XYMONHISTLOGS directory. If there is less than N% free space, xymond_history will not save the detailed status-logs. Default: 5

--pidfile=FILENAME
    xymond_history writes the process-ID it is running with to this file. This is for use in automated startup scripts. The default file is $XYMONSERVERLOGS/xymond_history.pid.

--debug
    Enable debugging output.

ENVIRONMENT

XYMONALLHISTLOG
    This environment variable controls if the $XYMONHISTDIR/allevents logfile is updated. This file is used by the event-log display on the nongreen html page and the eventlog-webpage, among other things. You can disable it by setting XYMONALLHISTLOGS=FALSE, but this is not recommended.

XYMONHOSTHISTLOG
    This environment variable controls if the $XYMONHISTDIR/HOSTNAME logfile is updated. This file holds a list of all status changes seen for a single host, but is not used by any of the standard Xymon tools. If you do not want to save this, you can disable it by setting XYMONHOSTHISTLOG=FALSE.

SAVESTATUSLOG
    This environment variable controls if the historical status-logs are saved whenever a status change occurs. These logfiles are stored in the $XYMONHISTLOGS directory, and are used for the detailed log-display of a status from the Xymon "History" page. If you do not want to save these, you can disable it by setting SAVESTATUSLOG=FALSE. If you want to save all except some specific logs, use SAVESTATUSLOG=TRUE,!TEST1[,!TEST2...] If you want to save none except some specific logs, use SAVESTATUSLOG=FALSE,TEST1[,TEST2...]
    NOTE: Status logs will not be saved if there is less than 5% free space on the filesystem hosting the $XYMONHISTLOGS directory. The threshold can be tuned via the "--minimum-free" option.

FILES
This module does not rely on any configuration files.

SEE ALSO
xymond_channel(8), xymond(8), xymon(7)